Bug 164847 - [bsd.port.mk] [patch] java/diablo-jdk16 does not build on clean FreeBSD 9
Summary: [bsd.port.mk] [patch] java/diablo-jdk16 does not build on clean FreeBSD 9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Port Management Team
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-02-07 12:40 UTC by Konstantin Kukushkin
Modified: 2013-12-28 23:45 UTC (History)
0 users

See Also:


Attachments
file.shar (2.16 KB, text/plain)
2012-02-07 12:40 UTC, Konstantin Kukushkin
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Konstantin Kukushkin 2012-02-07 12:40:13 UTC
Port java/diablo-jdk16 can't extract on clean FreeBSD 9. This is because of /usr/bin/unzip || ${LOCALBASE}/bin/unzip conflict (port depends of unzip but using ${UNZIP_CMD}.
This can be fixed in port depends (see diablo.patch), so port will install ${LOCALBASE}/bin/unzip always.
This can be fixed in mk (see unzip.patch). This way working too and more clean for this port but I don't know how other ports will work with /usr/bin/unzip.

Fix: Use diablo.patch or use unzip.patch or something like this.

Patch attached with submission follows:
How-To-Repeat: Install FreeBSD 9
statlab09# make -C /usr/ports/java/diablo-jdk16 extract BATCH=1
===>  Vulnerability check disabled, database not found
===>  License check disabled, port has not defined LICENSE
===>  Extracting for diablo-jdk-1.6.0.07.02_18
=> SHA256 Checksum OK for diablo-caffe-freebsd7-amd64-1.6.0_07-b02.tar.bz2.
=> SHA256 Checksum OK for tzupdater-1_3_45-2011n.zip.
===>   diablo-jdk-1.6.0.07.02_18 depends on executable: unzip - found
/usr/local/bin/unzip: No such file or directory
*** Error code 1

Stop in /usr/ports/java/diablo-jdk16.
Comment 1 Edwin Groothuis freebsd_committer 2012-02-07 12:40:56 UTC
Responsible Changed
From-To: freebsd-ports-bugs->glewis

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2012-02-11 17:23:59 UTC
glewis      2012-02-11 17:23:51 UTC

  FreeBSD ports repository

  Modified files:
    java/diablo-jdk15    Makefile 
    java/diablo-jdk16    Makefile 
    java/diablo-jre15    Makefile 
    java/diablo-jre16    Makefile 
  Log:
  . Make EXTRACT_DEPENDS check UNZIP_CMD rather than just unzip, since this
    is what we use doing the actual unzipping.  Fixes the build for
    FreeBSD 9.
  
  PR:             164847
  Submitted by:   Kukushkin Konstantin <dark@rambler-co.ru>
  
  Revision  Changes    Path
  1.48      +1 -1      ports/java/diablo-jdk15/Makefile
  1.25      +1 -1      ports/java/diablo-jdk16/Makefile
  1.47      +1 -1      ports/java/diablo-jre15/Makefile
  1.25      +1 -1      ports/java/diablo-jre16/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Greg Lewis freebsd_committer 2012-02-12 00:15:42 UTC
Responsible Changed
From-To: glewis->portmgr

I've commited the diablo changes. 
Reassigning to portmgr to evaluate the bsd.port.mk, etc. changes.
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2012-03-19 23:53:33 UTC
State Changed
From-To: open->analyzed



Comment 5 Mark Linimon freebsd_committer freebsd_triage 2012-03-19 23:53:33 UTC
Responsible Changed
From-To: portmgr->linimon

take for -exp.
Comment 6 Mark Linimon freebsd_committer freebsd_triage 2012-09-09 07:11:33 UTC
State Changed
From-To: analyzed->feedback

Please see my comments in ports/167794, which I ran at the same time as 
this patch.  There were 6 regressions.  I have not yet figured out which 
belong to which patch.
Comment 7 Greg Lewis freebsd_committer 2012-12-17 02:44:51 UTC
State Changed
From-To: feedback->closed

diablo-jdk16 has been deprecated
Comment 8 Greg Lewis freebsd_committer 2012-12-17 02:45:47 UTC
State Changed
From-To: closed->feedback

Re-open, this is about detection of unzip at the moment.
Comment 9 Mark Linimon freebsd_committer freebsd_triage 2013-02-20 05:19:37 UTC
State Changed
From-To: feedback->open

I am no longer in a position to test this. 


Comment 10 Mark Linimon freebsd_committer freebsd_triage 2013-02-20 05:19:37 UTC
Responsible Changed
From-To: linimon->portmgr
Comment 11 Baptiste Daroussin freebsd_committer 2013-12-28 23:45:26 UTC
State Changed
From-To: open->closed

diable-jdk is gone from the ports tree